Bug 1315775 - (CVE-2016-1965) CVE-2016-1965 Mozilla: Addressbar spoofing though history navigation and Location protocol property (MFSA 2016-28)
CVE-2016-1965 Mozilla: Addressbar spoofing though history navigation and Loca...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160308,repor...
: Security
Depends On:
Blocks: 1313724
  Show dependency treegraph
 
Reported: 2016-03-08 10:07 EST by Huzaifa S. Sidhpurwala
Modified: 2016-03-28 01:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-28 01:27:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2016-03-08 10:07:39 EST
Security researcher Tsubasa Iinuma reported a mechanism where the displayed addressbar can be spoofed to users. This issue involves using history navigation in concert with Location protocol property. After navigating from a malicious page to another, if the user navigates back to the initial page, the displayed URL will not reflect the reloaded page. This could be used to trick users into potentially treating the page as a different and trusted site.



External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-28.html


Acknowledgements:

Name: the Mozilla project
Upstream: Tsubasa Iinuma
Comment 1 errata-xmlrpc 2016-03-09 00:12:42 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2016:0373 https://rhn.redhat.com/errata/RHSA-2016-0373.html

Note You need to log in before you can comment on or make changes to this bug.